Subject: Re: More Digit Map Fixes

From: Tom-PT Taylor <[email-masked]>
Date: Fri, 4 Feb 2000 08:40:58 -0600

I'll check the text, but the intent is that if the current timer expires,
the accumulated digit string is reported via a completion event.  See the
one I defined for DTMF, in "Final Issue Score Card".

> -----Original Message-----
> From: Paul Hollis [SMTP:[email-masked]]
> Sent: Friday, February 04, 2000 9:37 AM
> To:   Taylor, Tom-PT [CAR:B904:EXCH]
> Cc:   [email-masked]
> Subject:      Re: More Digit Map Fixes
>
> Hi Tom,
>
> I'm still a bit confused about how all these timers work! We define the
> timers,
> but have we defined what happens at timeout?
>
> Regards Paul.
>
>
> Tom-PT Taylor wrote:
>
> > I took a closer look at digit maps (section 7.1.14) as a result of a
> private
> > discussion and found an ambiguity in our current rules.  I also learned
> a
> > bit more about the intent behind the "L", "S", and DOT symbols.  This
> leads
> > to the following proposed additions to the errata list:
> >
> > A. Timer Rules (section 7.1.14)
> > ---------------------------------------------
> >
> > Current rules regarding timer use:
> >
> > 1.      The start timer (T) is used prior to any digits having been
> dialed.
> > 2.      If the Media Gateway can determine that at least one more digit
> is
> > needed for a digit string to match any of the allowed patterns in the
> digit
> > map, then the interdigit timer value should be set to a long (L)
> duration
> > (e.g.-16 seconds).
> > 3.      If the DigitMap specifies that a variable number of additional
> > digits may be needed then the short timer (S) is used.
> > The problem is with that third rule -- it is indistinguishable from the
> > second one as it currently reads.  Here is a proposed alternative
> phrasing
> > of the rule:
> >
> > "3.   If the digit string has matched one of the patterns in the digit
> map,
> > but it is possible that more digits could be received which would cause
> a
> > match with a different pattern, then instead of reporting the match
> > immediately, the MG must apply the short timer (S) and wait for more
> > digits."
> >
> > B. Digit Map Completion Event (currently in section E.6.2)
> >
> --------------------------------------------------------------------------
> --
> > -------
> >
> > We need a way to report a long duration tone match as part of a pattern.
> > The simplest thing is to report the portion of the digit map which was
> > matched, as a string of digit map symbols rather than tone IDs.  We can
> use
> > tone IDs to report any extra digits collected.
> >
> > It is also useful for the MGC to know whether the report came from a
> match,
> > a short timeout (match of an ambiguous pattern), or another timeout
> > (permanent signal/partial dial).
> >
> > I therefore propose that the event be defined as follows:
> >
> > DigitMap Completion Event
> > EventID: ce, 0x0001
> > Raised when pattern match or timeout is detected on a digit map.
> > EventsDescriptor parameters: none
> > ObservedEventsDescriptor parameters:
> >         DigitString
> >                 ParameterID: ds (0x0001)
> >                 Type: string of digit map symbols (possibly empty)
> >                 Possible values: any sequence of the characters "0"
> through
> > "9", "A" through "F", and the long duration modifier "L".
> >                 Description: the actual sequence of observed events,
> > represented by their corresponding digit map symbols, which matched part
> or
> > all of a digit map string.
> >         Extras
> >                 ParameterID: ex (0x0002)
> >                 Type:  list of toneIDs
> >                 Possible values: any of the DTMF toneIDs defined in the
> > table in section E.5.3
> >                 Description: the sequence of tone events detected in the
> > interval subsequent to completion of the (sub)string reported in
> DigitString
> > and before initial, long, or short timer expiry as applicable.
> >         Completion
> >                 ParameterID: cm (0x0002)
> >                 Type: enumeration
> >                 Possible values: "M" (unambiguous match), "S" (short
> timer
> > expiry), or "T" (initial or long timer expiry)
> >
> > C. Use Of DOT
> > ----------------------
> > Our ABNF mentions DOT as a possible digit map symbol.  I've learned that
> DOT
> > was intended to stand for an arbitrary number of repetitions of the
> > preceding symbol.  Thus the string "x.F" stands for an arbitrary number
> of
> > digits between 0 and 9, terminated by the "#" sign (if DTMF is being
> used).
> > Long timing would be used throughout after the first digit.  The string
> "x."
> > would achieve the same purpose with short timing used after the first
> digit
> > (rule 3 above), and a terminating "#" sign reported as an extra in the
> DTMF
> > completion event described above.
> >
> > Disposition: add text to describe the use of DOT in the description of
> digit
> > map symbols in 7.1.14.
> >
> > Tom Taylor
> > Advisor -- Emerging Carrier IP Standards
> > E-mail: [email-masked] (internally, Tom-PT Taylor)
> > Phone and FAX: +1 613 736 0961
>
> --
>
> oooooooooooooooooooooooooooooooooooooooooooooo
>   Paul Hollis
>   Ericsson Eurolab Deutschland GmbH
>   Ericsson Allee 1
>   D-52134 Herzogenrath
>   Germany
>   Phone: +49 2407 575 8092
>   email: [email-masked]
> oooooooooooooooooooooooooooooooooooooooooooooo
>
>